<?php
if ((isset($_COOKIE['id']) && $_COOKIE['id'] != '') && 
	(isset($_COOKIE['usuario']) && $_COOKIE['usuario'] != '')):
	header("Location: mesas.php");
	die();
endif;

require 'conexao.php';
require 'config.php';
require 'includes/limpar_session.php';

$pdo  = Conexao::getInstance();	
$sql = "SELECT b_pdv_coletivo FROM empresas LIMIT 1";
$stm = $pdo->prepare($sql);
$stm->execute();
$empresa = $stm->fetch(PDO::FETCH_OBJ);

if ($empresa->b_pdv_coletivo):
	$pdo  = Conexao::getInstance();	
	$sql = "SELECT id_caixa FROM caixa WHERE id_situacao = 4";
	$stm = $pdo->prepare($sql);
	$stm->execute();
	$caixa = $stm->fetch(PDO::FETCH_OBJ);
else:
	$pdo  = Conexao::getInstance();	
	$sql = "SELECT id_caixa FROM caixa WHERE id_situacao = 4 AND (terminal = '".SERVIDOR."')";
	$stm = $pdo->prepare($sql);
	$stm->execute();
	$caixa = $stm->fetch(PDO::FETCH_OBJ);
endif;

$sql = "SELECT usu_003, usu_002 FROM usuarios WHERE sit_001 = 4 AND b_funcao_garcom = TRUE ORDER BY usu_002";
$stm = $pdo->prepare($sql);
$stm->execute();
$usuarios = $stm->fetchAll(PDO::FETCH_OBJ);

?>
<!DOCTYPE html>
<html>
<head>
	<title>Comanda Eletrônica</title>
	<?php require 'includes/inc_head.php'; ?>
	<style>
		.tittle-wrapper{
			text-align: center;
		}
		h1.titulo {
			color: #FF4D00;
			font-size: 60px;
			font-weight: bold;
			padding: 0;
			margin: 0;
		}
		.subtitulo {
			color: #818181;
			font-weight: bold;
			font-size: 18px;
			margin: 10px;
		}
	</style>
</head>
<body>
   <div class = "mdl-layout mdl-js-layout mdl-layout--fixed-header">
   <!-- <header class = "mdl-layout__header">
      <div class = "mdl-layout__header-row login">
         <span class = "mdl-layout-title">Comanda Eletrônica</span>      
      </div>
    </header> -->
	  <main class="mdl-layout__content">
		<div class="tittle-wrapper">
			<h1 class="titulo">e-Prato</h1>
			<p class="subtitulo">COMANDA ELETRÔNICA</p>
		</div>

	    <div class="mdl-cell mdl-cell--6-col mdl-cell--8-col-tablet mdl-cell--12-col-phone center">
	    	<?php if (empty($caixa)):?>
	    		<div class="mdl-card mdl-shadow--4dp fundo-red">
				   <div class="mdl-card__title">
				   <?php if ($empresa->b_pdv_coletivo): ?>
					   <h4 class="mdl-card__supporting-text text-red text-center">O CAIXA AINDA NÃO FOI ABERTO HOJE !</h4>
				   <?php else: ?>
				   	   <h4 class="mdl-card__supporting-text text-red text-center">O CAIXA AINDA NÃO FOI ABERTO HOJE NO SERVIDOR <b>"<?=SERVIDOR?>"</b> QUE CONTROLA A COMANDA !</h4>
				   <?php endif; ?>
				   </div>
				   <p class="text-center">Use o sistema AGNUS para abrir o caixa.</p>
				</div><br>
			<?php else: ?>
			<br>
		    <form id='formulario'>
			<select id="usuario" class="select" required>
				<option>Usuário</option>
				<?php foreach($usuarios as $usuario): ?>
				<option value="<?=$usuario->usu_003?>"><?=$usuario->usu_002?></option>
				<?php endforeach; ?>
			</select><br><br><br>
          <div class = "mdl-textfield mdl-js-textfield mdl-textfield--floating-label pesquisa">
              <input class = "mdl-textfield__input" type = "password" id = "senha"  autocomplete='off'>
              <label class = "mdl-textfield__label" for = "text4">Senha</label>
          </div><br><br>
				  <button type="submit" id='entrar' class="mdl-button mdl-js-button mdl-button--raised mdl-button--colored btn-block">
					  ENTRAR 
				  	<i class="fa fa-sign-in" aria-hidden="true"></i>
				  </button>
				</form>
			<?php endif; ?>
	    </div>
	  </main>
	</div>

  <?php include 'includes/inc_js.php'; ?>
  <script>

	if (localStorage.hasOwnProperty('carrinho')){
        localStorage.removeItem('carrinho')
	}

    $(document).ready(function($) {	

    	$('#formulario').submit(function(event) {
    		var usuario = $('#usuario').val();
    		var senha   = $('#senha').val();

        if (usuario != '' && senha != ''){
      		$.ajax({
      			url: 'login.php',
      			type: 'POST',
      			dataType: 'JSON',
      			data: {usuario: usuario, senha: senha},
      			beforeSend: function(){
      				EasyLoading.show({});
      			},
      			success: function(retorno){
                EasyLoading.hide();
      				if (retorno.status == '1'){

						$('#entrar').html('Atualizando Categorias ...');
						$.get('pesquisa_categoria_json.php', function(data, status, xhr){
							if (xhr.status == 200){
								localStorage.setItem('categorias', data);

								$('#entrar').html('Atualizando Produtos ...');
								$.get('pesquisa_produto_json.php', function(data, status, xhr){
									if (xhr.status == 200){
										localStorage.setItem('produtos', data)

										$('#entrar').html('Atualizando Opcionais ...');
										$.get('pesquisa_opcional_json.php', function(data, status, xhr){
											if (xhr.status == 200){
												localStorage.setItem('opcionais', data)

												$('#entrar').html('Atualizando Observações ...');
												$.get('pesquisa_observacao_json.php', function(data, status, xhr){
													if (xhr.status == 200){
														localStorage.setItem('observacoes', data)

														window.location.href = retorno.url;
													}
												})
											}
										})
									}
								})	
							}
						})	
      				}else{
      					swal(
						'Erro',
						'Usuário ou Senha Inválido!',
						'error'
						)
      				}
      			}
      		});	
        }else{
          swal(
              'Alerta',
              'Informar Usuário e Senha!',
              'warning'
            )
        }

    		return false;
    	});

    });
  </script>
</body>
</html>